Overview
GET
/messaging/statusmessagingWhich messaging channels are configured + enabled (admin)
List status.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
Provider status
- emailboolean
Postmark configured + enabled
- smsboolean
Twilio configured + enabled
Example
{
"email": true,
"sms": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/messaging/status" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/messaging/status", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();